Parcourir la source

hwsim tests: Add build script

This is easier than to copy/paste from the README. We may
want to extend it later to change the .config for some
common differences between systems (e.g., libnl/libbfd).

Signed-off-by: Johannes Berg <johannes.berg@intel.com>
Johannes Berg il y a 11 ans
Parent
commit
fdbc092389
1 fichiers modifiés avec 19 ajouts et 0 suppressions
  1. 19 0
      tests/hwsim/build.sh

+ 19 - 0
tests/hwsim/build.sh

@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+cd ../../wpa_supplicant
+cp ../tests/hwsim/example-wpa_supplicant.config .config
+make clean
+make -j8
+cd ../hostapd
+cp ../tests/hwsim/example-hostapd.config .config
+make clean
+make -j8 hostapd hlr_auc_gw
+cd ../wlantest
+make clean
+make -j8
+cd ../mac80211_hwsim/tools
+make -j8